# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "txtx-cloud"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Crate for interacting with txtx Cloud Services"
readme = false
keywords = [
    "txtx",
    "smart-contracts",
    "devops",
    "secops",
    "blockchains",
]
categories = ["cryptography"]
license = "Apache-2.0"
repository = "https://github.com/txtx/txtx"

[lib]
name = "txtx_cloud"
crate-type = [
    "lib",
    "cdylib",
]
path = "src/lib.rs"

[dependencies.actix-cors]
version = "0.7.0"

[dependencies.actix-web]
version = "4"

[dependencies.ansi_term]
version = "0.12.1"

[dependencies.atty]
version = "0.2.14"

[dependencies.base64]
version = "0.22.1"

[dependencies.clap]
version = "4.4.6"
features = ["derive"]
optional = true

[dependencies.clap_generate]
version = "3.0.3"
optional = true

[dependencies.dialoguer]
version = "0.11.0"

[dependencies.dirs]
version = "5.0.1"

[dependencies.graphql_client]
version = "0.14.0"

[dependencies.hiro-system-kit]
version = "0.3.1"

[dependencies.jsonwebtoken]
version = "9.3.1"

[dependencies.open]
version = "5.3.1"

[dependencies.serde]
version = "1"

[dependencies.serde_derive]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.serde_urlencoded]
version = "0.7.1"

[dependencies.tokio]
version = "1.37.0"

[dependencies.toml]
version = "0.8.2"
features = ["preserve_order"]
optional = true

[dependencies.txtx-addon-kit]
version = "0.2.10"

[dependencies.txtx-core]
version = "0.2.13"

[dependencies.txtx-gql]
version = "0.2.5"

[features]
cli = [
    "clap",
    "clap_generate",
    "toml",
    "hiro-system-kit/log",
]
default = ["cli"]
